USN-6522-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-6522-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6522-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6522-2
Related
Published
2023-12-07T11:00:10.602149Z
Modified
2023-12-07T11:00:10.602149Z
Summary
freerdp2 vulnerabilities
Details

USN-6522-1 fixed several vulnerabilities in FreeRDP. This update provides the corresponding update for Ubuntu 18.04 LTS. Original advisory details:

It was discovered that FreeRDP incorrectly handled drive redirection. If a user were tricked into connection to a malicious server, a remote attacker could use this issue to cause FreeRDP to crash, resulting in a denial of service, or possibly obtain sensitive information. (CVE-2022-41877)

It was discovered that FreeRDP incorrectly handled certain surface updates. A remote attacker could use this issue to cause FreeRDP to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2023-39352, CVE-2023-39356)

References

Affected packages

Ubuntu:Pro:18.04:LTS / freerdp2

Package

Name
freerdp2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.2.0+dfsg1-0ubuntu0.18.04.4+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libfreerdp-client2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "freerdp2-shadow-x11": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "freerdp2-x11": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libwinpr-tools2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libfreerdp-shadow-subsystem2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libwinpr2-dev": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "freerdp2-wayland": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "winpr-utils": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libuwac0-0": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libwinpr2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libuwac0-dev": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "freerdp2-dev": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libfreerdp-shadow2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libfreerdp-server2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2",
            "libfreerdp2-2": "2.2.0+dfsg1-0ubuntu0.18.04.4+esm2"
        }
    ]
}